<script>
  // Dimensions
  const width = 810;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 25, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [2, 4, 6, 7, 9];

  // Import scale function
  import { scaleLog } from 'd3-scale';
  var scale = scaleLog([1,10],[0,800]);

  // Import select
  import { select } from 'd3-selection';

  // Import axisBottom
  import { axisBottom } from 'd3-axis';
import { text } from 'svelte/internal';

  //Create axis function
  function xAxis(element) {
    select(element).call(axisBottom(scale))
  }
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{-5})">
    {#each values as value}
    <circle cx={scale(value)}
            cy=50
            r=10 
            fill=green/>
    {/each}
    <g use:xAxis transform='translate(0, 80)'></g>
    <!-- svelte-ignore component-name-lowercase -->
    <text transform='translate(405, 105)' 
          style="fill:currentcolor; 
                 font-size:14px;">
      x-axis
    </text>
  </g>
</svg>








